This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 188897 - test not builtin to tcsh
test not builtin to tcsh
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 06:18 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0474
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
coreutils-no-builtin-test-csh.patch (1015 bytes, patch)
2006-04-13 06:18 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-04-13 06:18:54 EDT
coreutils-5.2.1-31.2 contains the colorls.csh profile script
(/etc/profile.d/colorls.csh) which uses "test".

However, test is not builtin to C shells (as opposed to bash) so a funky $PATH
could find a "test" binary somewhere else.

Better be safe and hard-code /usr/bin/test instead
Comment 1 Bastien Nocera 2006-04-13 06:18:55 EDT
Created attachment 127701 [details]
coreutils-no-builtin-test-csh.patch
Comment 2 Tim Waugh 2006-04-18 08:35:19 EDT
Better fix already in rawhide.
Comment 3 Tim Waugh 2006-08-09 06:43:20 EDT
Fixed in CVS.
Comment 11 Red Hat Bugzilla 2007-06-11 14:54:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0474.html

Note You need to log in before you can comment on or make changes to this bug.